<%@ WebService Language="C#" Class="SessionAuthenticationService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class SessionAuthenticationService  : System.Web.Services.WebService {

    [WebMethod(EnableSession=true)]
    public bool Login(string userName, string password, bool createPersistentCookie)
    {
        if (System.Web.Security.Membership.Provider.ValidateUser(userName, password))
        {
            HttpContext.Current.Session["User"] = true;
            return true;
        }

        return false;
    }

    [WebMethod]
    public void Logout()
    {
        HttpContext.Current.Session.Remove("User");
    }
    
}

