<%@ WebService Language="C#" Class="ProtectedService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Security.Authentication;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class ProtectedService  : System.Web.Services.WebService
{
    [WebMethod]
    public int GetRandom()
    {
        if (!HttpContext.Current.User.Identity.IsAuthenticated)
        {
            throw new AuthenticationException("Error: please login first!");
        }
        
        return new Random(DateTime.Now.Millisecond).Next();
    } 
    
}

